<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use App\Models\Verification;

class VerificationCreate extends Notification
{
    use Queueable;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
       // $this->certificat_id = decrypt($certificat_id);
         $url = 'https://certificats.eust.edu.sd/ar/verifications';

        return (new MailMessage)                 
                    ->subject('التقديم للتحقق الأكاديمي')
                    ->line('تم التقديم للتحقق الأكاديمي ، نتيجة التحقق الاكاديمي خلال 24 ساعة')
                    ->action('عرض التحقق الاكاديمي', $url)
                    ->line('شكرا لاستخدامك نظام الشهادات بكلية الامارات للعلوم و التكنولوجيا');
    }

    /**
     * Get the array representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function toArray($notifiable)
    {
        return [
            //
        ];
    }
}
